# Just Add Power - Firmware Release Notes

## justOS version **B2.0.6**

### Release Date: 2020-06-29

### Minor Enhancements

* Added independent USB channel routing for Multicast Switching systems (this is not available for VLAN systems)
  * See `channel help` for usage details
* Added new option to set a hostname alias (custom.local)
  * `POST /settings/device/network/alias "custom.name.local"`
  * `GET /settings/device/network/alias`
    * Adds a custom hostname alias to the device's mDNS responder
    * ".local" will be appended to the custom value if it is missing
    * Does NOT advertize this hostname with mDNS announcement but WILL resolve as desired
* Added Plug-Play-Present configuration options to the web interface under the **System** sectionF
* Updated OSD and Debug screen font to be more legible

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

* [function][webui][B2.0.4] Serial commands now correclty send from the web interface
* [function][ezlog][B2.0.4] Added connection timeout value to cope with remote server interruption
* [function][video][B1.0.0] Fix for Sony TVs failing HDCP on power-up

### Known Issues

Key: [impact level][feature affected][discovered version] Description

* [function][edid][B2.0.0] 4k24 EDIDs have values that report their native supported format as 4k30
