# Just Add Power - Firmware Release Notes

## justOS version **B2.1.2**

### Release Date: 2021-12-01

### Firmware Compatibility Note

- B2.1.X may experience the same audio sync issues that were randomly present on B2.0.X if any devices are still running B2.0.X
- A full system update is recommended for optimal performance (but not neccessary in a pinch)

### Minor Enhancements

- Added option to enable/disable CEC to webUI
- Various Cosmetic webUI enhancements
- `channel` will report the new subscribed channel after completing the change

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

- [function][webui][B2.1.1] CEC Settings will now populate and apply correctly
- [function][flux][B2.1.1] Flux handler will now properly pass Pronto formatted commands sent via TCP:4998
- [function][api][B2.1.0] 2G/3G ST1 `/settings/device/id` will now apply and recall correctly

### Known Issues

Key: [impact level][feature affected][discovered version] Description

- [function][edid][B2.0.0] 4k24 EDIDs have values that report their native supported format as 4k30
- [function][audio][B2.1.0] Source side HDMI changes from a resolution with audio to a different resolution without audio can cause a loss of Display side HDMI audio until the RX is rebooted (occurs when an AVR or matrix switch is used to feed a TX)
