# Just Add Power - Firmware Release Notes

## justOS version **B1.0.2**

### Release Date: 2018-08-15

### Special Notes

Download includes:

* `/` - Complete Firmware Images
  * including all cumulitive patches to B1.0.x (for full updates from ***ANY*** previous firmware version)
* `/patchfiles` - Firmware Patch Images
  * can be applied to any system *already running* **justOS B1.0.x**

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

* [function][webui/api][B1.0.1] Fixed an error where uploading a custom ImagePush background would break the web interface

### Known Issues

Key: [impact level][feature affected][discovered version] Description

* [function][audio][B1.0.0] (2GΩ/3G+ TX) Audio does not work over IP or the HDMI Loopout (The Stereo-Out is unaffected)
  * There is no current workaround for this problem. Users should revert to A6.5.5 firmware until the issue is resolved.
* [function][webui][B1.0.0] Command Line API parsing issues when reserved JSON characters are in the console output
* [function][api][B1.0.0] `/command/cli` output may contain special characters that break JSON parsing
* [cosmetic][webui][B1.0.0] Serial Type does not display correct Flux mode