# Just Add Power - Firmware Release Notes

## justOS version **B1.1.0**

### Release Date: 2018-08-15

### Special Notes

* This firmware update contains a bug fix specific to the **2GΩ/3G+ TX** devices
* Users without 2GΩ/3G+ TX in their system do not need this update

Download includes:

* `/` - Complete Firmware Images
  * full update required for devices running **justOS B1.0.x** or earlier

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

* [function][audio][B1.0.0] (2GΩ/3G+ TX) Audio did not work over IP or the HDMI Loopout (The Stereo-Out was unaffected)

### Known Issues

Key: [impact level][feature affected][discovered version] Description

* [function][ppp][B1.1.0] Plug-Play-Present fails to `enable` and does not launch correctly on Transmitters
* [function][webui][B1.0.0] Command Line API parsing issues when reserved JSON characters are in the console output
* [function][api][B1.0.0] `/command/cli` output may contain special characters that break JSON parsing
* [cosmetic][webui][B1.0.0] Serial Type does not display correct Flux mode