# Just Add Power - Firmware Release Notes

## justOS version **B2.2.0**

### Release Date: 2022-03-24

### Firmware Compatibility Note

- B2.X.X may experience the same audio sync issues that were randomly present on B2.0.X if any devices are still running B2.0.X
- A full system update is recommended for optimal performance (but not neccessary in a pinch)

### Minor Enhancements

- `jpsw`
  - Add support for Netgear GM4250 series switches

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

### Known Issues

Key: [impact level][feature affected][discovered version] Description

- [cosmetic][webui][B2.1.2]  	
    - RX video details doesn't update the TX IP address
	- Save button spins forever
	- Send button on CLI doesn't send (paper airplane)
	- USB Connect button does not work
- [function][edid][B2.0.0] 4k24 EDIDs have values that report their native supported format as 4k30
- [function][audio][B2.1.0] Source side HDMI changes from a resolution with audio to a different resolution without audio can cause a loss of Display side HDMI audio until the RX is rebooted (occurs when an AVR or matrix switch is used to feed a TX)
