# Just Add Power - Firmware Release Notes

## justOS version **B2.2.2**

### Release Date: 2022-05-13

### Firmware Compatibility Note

- B2.X.X may experience the same audio sync issues that were randomly present on B2.0.X if any devices are still running B2.0.X
- A full system update is recommended for optimal performance (but not neccessary in a pinch)

### Minor Enhancements

- `jpsw 1.2.5`
  - Add support for Cisco CBS350 series switches

### Bug Fixes

Key: [impact level][feature affected][discovered version] Description

- [function][cli][B2.1.0] `channel X` now works for ST1 devices
- [function][api][B2.1.0] `POST /command/channel` now works for ST1 devices
- [cosmetic][webui][B2.1.2] Save button no longer spins forever
- [function][webui][B2.1.2]
  - Send button on CLI (paper airplane) now actually sends commnds
  - USB Connect button functions

### Known Issues

Key: [impact level][feature affected][discovered version] Description

- [function][edid][B2.0.0] 4k24 EDIDs have values that report their native supported format as 4k30
- [function][audio][B2.1.0] Source side HDMI changes from a resolution with audio to a different resolution without audio can cause a loss of Display side HDMI audio until the RX is rebooted (occurs when an AVR or matrix switch is used to feed a TX)
